/* This file is part of Legendes II */
/* Copyright (c) 1998 by
 *   Antoine Allain (allain@aix.ensam.fr)
 *   Philippe Clavel (philippe.clavel@supelec.fr)
 *   Benjamin Lerman (benjamin.lerman@ens.fr)
 *   David Madore (david.madore@ens.fr) */

/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version
 * 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See
 * the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/* File map.c */

/* Thus speaketh ye mighty CVS:
 * $Id: map.c,v 1.1 1999/05/29 15:23:40 david Exp $ */

/* This file contains the map handling routines. */

/* CVS identity of this file. */
static char id[] = "$Id: map.c,v 1.1 1999/05/29 15:23:40 david Exp $";

/* Include files */

#ifndef _THREAD_SAFE
#define _THREAD_SAFE		/* Make sure libc is reentrant. */
#endif

#include <stdlib.h>		/* Standard library functions */


#include "map.h"

int
read_map (int x, int y)
     /* Read the map content at position (x,y) */
{
  return map[x][y];
}

void
init_map (void)
     /* Initialize the map subunit */
{
  int i, j;

  for ( i=0 ; i<MAP_SIZE_X ; i++ )
    for ( j=0 ; j<MAP_SIZE_Y ; j++ )
      map[i][j] = random()%2;
}
